For the complete documentation index, see llms.txt. This page is also available as Markdown.

Folder Templates

List folder templates for a workspace

get
Query parameters
workspace_idstring · uuidRequired

The id of the workspace to get folder templates from

drive_idstring · uuid · nullableOptional

Optional drive id to filter templates specific to that drive

Header parameters
passwordstring · nullableOptional

The password header to use to fetch the preview

Body
Responses
200

A list of folder templates

application/json
idstring · uuidRequired
drive_idstring · uuid · nullableOptional
workspace_idstring · uuidRequired
namestringRequired
descriptionstringRequired
iconstringRequired
createdstring · date-timeRequired
pathsstring[]Required
get/folder-templates
GET /folder-templates?workspace_id=123e4567-e89b-12d3-a456-426614174000 HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 47

{
  "body": {
    "ANY_ADDITIONAL_PROPERTY": "anything"
  }
}
[
  {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "drive_id": "123e4567-e89b-12d3-a456-426614174000",
    "workspace_id": "123e4567-e89b-12d3-a456-426614174000",
    "name": "text",
    "description": "text",
    "icon": "text",
    "created": "2026-01-01T00:00:00.000Z",
    "created_by": {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "name": "text",
      "email": "text",
      "avatar_url": "text",
      "user_type": "regular"
    },
    "paths": [
      "text"
    ]
  }
]

Create a folder template from an existing folder

post
Header parameters
passwordstring · nullableOptional

The password header to use to fetch the preview

Body
namestringRequired

The name of the folder template

descriptionstringOptional

A brief description of how to use this template

Default: ""
iconstringOptional

Icon key used by the client when displaying this template

Default: ""
workspace_idstring · uuidRequired

The id of the workspace this template belongs to (always required)

drive_idstring · uuid · nullableOptional

Optional drive id if this template is specific to a drive within the workspace

root_pathstring · pathRequired

The absolute path of the folder to capture as a template

Responses
200

The created folder template

application/json
idstring · uuidRequired
drive_idstring · uuid · nullableOptional
workspace_idstring · uuidRequired
namestringRequired
descriptionstringRequired
iconstringRequired
createdstring · date-timeRequired
pathsstring[]Required
post/folder-templates
POST /folder-templates HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 211

{
  "name": "text",
  "description": "",
  "icon": "",
  "workspace_id": "123e4567-e89b-12d3-a456-426614174000",
  "drive_id": "123e4567-e89b-12d3-a456-426614174000",
  "root_path": "text",
  "body": {
    "ANY_ADDITIONAL_PROPERTY": "anything"
  }
}
{
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "drive_id": "123e4567-e89b-12d3-a456-426614174000",
  "workspace_id": "123e4567-e89b-12d3-a456-426614174000",
  "name": "text",
  "description": "text",
  "icon": "text",
  "created": "2026-01-01T00:00:00.000Z",
  "created_by": {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "name": "text",
    "email": "text",
    "avatar_url": "text",
    "user_type": "regular"
  },
  "paths": [
    "text"
  ]
}

Delete a folder template

delete
Path parameters
template_idstring · uuidRequired

The ID of the folder template to delete

Header parameters
passwordstring · nullableOptional

The password header to use to fetch the preview

Body
Responses
200

True if the template was deleted successfully

application/json
booleanOptional
delete/folder-templates/{template_id}
DELETE /folder-templates/{template_id} HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 47

{
  "body": {
    "ANY_ADDITIONAL_PROPERTY": "anything"
  }
}
true

Update a folder template

patch
Path parameters
template_idstring · uuidRequired

The ID of the folder template to update

Header parameters
passwordstring · nullableOptional

The password header to use to fetch the preview

Body
namestring · nullableOptional

The new name for the folder template

descriptionstring · nullableOptional

The new description for the folder template

iconstring · nullableOptional

The new icon key for the folder template

Responses
200

The updated folder template

application/json
idstring · uuidRequired
drive_idstring · uuid · nullableOptional
workspace_idstring · uuidRequired
namestringRequired
descriptionstringRequired
iconstringRequired
createdstring · date-timeRequired
pathsstring[]Required
patch/folder-templates/{template_id}
PATCH /folder-templates/{template_id} HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 96

{
  "name": "text",
  "description": "text",
  "icon": "text",
  "body": {
    "ANY_ADDITIONAL_PROPERTY": "anything"
  }
}
{
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "drive_id": "123e4567-e89b-12d3-a456-426614174000",
  "workspace_id": "123e4567-e89b-12d3-a456-426614174000",
  "name": "text",
  "description": "text",
  "icon": "text",
  "created": "2026-01-01T00:00:00.000Z",
  "created_by": {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "name": "text",
    "email": "text",
    "avatar_url": "text",
    "user_type": "regular"
  },
  "paths": [
    "text"
  ]
}

Last updated

Was this helpful?